/** Execute a complete exchange between two RangeMessengers, syncing their trees. */
export async function sync(from, to, messages, isDone) {
    const msgs = [];
    const messagesToProcess = messages || from.initialMessages();
    for await (const msg of messagesToProcess) {
        const responses = to.respond(msg);
        msgs.push(...responses);
    }
    if (isDone?.state === "fulfilled") {
        return Promise.resolve();
    }
    else {
        await sync(to, from, msgs, to.isDone());
    }
}
