import { MultiformatReplica } from "./multiformat_replica.js";
/**
 * A replica holding a share's documents and attachments, used to read, write, and synchronise data to.
 * Should be closed using the `close` method when no longer being used.
 * ```
 * const myReplica = new Replica(new ReplicaDriverMemory("+gardens.a37ib9"));
 * ```
 */
export class Replica extends MultiformatReplica {
    constructor(opts) {
        super({
            driver: opts.driver,
            config: {
                "es.5": {
                    shareSecret: opts.shareSecret,
                },
            },
        });
    }
}
