"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sync = void 0;
/** Execute a complete exchange between two RangeMessengers, syncing their trees. */
async function sync(from, to, messages, isDone) {
    const msgs = [];
    const messagesToProcess = messages || from.initialMessages();
    for await (const msg of messagesToProcess) {
        const responses = to.respond(msg);
        msgs.push(...responses);
    }
    if (isDone?.state === "fulfilled") {
        return Promise.resolve();
    }
    else {
        await sync(to, from, msgs, to.isDone());
    }
}
exports.sync = sync;
