"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Replica = void 0;
const multiformat_replica_js_1 = require("./multiformat_replica.js");
/**
 * A replica holding a share's documents and attachments, used to read, write, and synchronise data to.
 * Should be closed using the `close` method when no longer being used.
 * ```
 * const myReplica = new Replica(new ReplicaDriverMemory("+gardens.a37ib9"));
 * ```
 */
class Replica extends multiformat_replica_js_1.MultiformatReplica {
    constructor(opts) {
        super({
            driver: opts.driver,
            config: {
                "es.5": {
                    shareSecret: opts.shareSecret,
                },
            },
        });
    }
}
exports.Replica = Replica;
