import { Query } from "./query-types.js";
import { Replica } from "../replica/replica.js";
import { DefaultFormats, FormatDocType, FormatsArg } from "../formats/format_types.js";
export declare function escapeStringForRegex(s: string): string;
export declare let _matchAll: (re: RegExp, str: string) => RegExpExecArray[];
export declare let globToRegex: (glob: string, forceEntireMatch?: boolean) => string;
export declare let globToQueryAndRegex: (glob: string) => {
    query: Query<string[]>;
    regex: string | null;
};
export declare function queryByGlob<F = DefaultFormats>(replica: Replica, glob: string, moreQueryOptions?: Omit<Query<[string]>, "formats">, formats?: FormatsArg<F>): Promise<FormatDocType<F>[]>;
interface ParsedTemplate {
    template: string;
    varNames: string[];
    glob: string;
    namedCaptureRegex: string;
}
export declare function parseTemplate(template: string): ParsedTemplate;
export declare let extractTemplateVariablesFromPathUsingRegex: (namedCaptureRegex: string, path: string) => Record<string, string> | null;
export declare let extractTemplateVariablesFromPath: (template: string, path: string) => Record<string, string> | null;
export declare let insertVariablesIntoTemplate: (vars: Record<string, string>, template: string) => string;
export declare function queryByTemplate<F = DefaultFormats>(replica: Replica, template: string, moreQueryOptions?: Omit<Query<[string]>, "formats">, formats?: FormatsArg<F>): Promise<FormatDocType<F>[]>;
export {};
